Skip to main content

Get Coin Balances By Account


Query Template​

Filtering Options​

Parameter

Type

Description

where

object

An object that filters results based on specific conditions.

limit

integer

Maximum number of results to return.

offset

integer

Starting position of the results.

order_by

object

An object that specifies the sorting criteria. Supports sorting by multiple fields.

Query Fields​

Parameter

Type

Description

owner_address

string

The address of the owner.

amount

integer

The amount of the asset.

storage_id

string

The storage ID.

last_transaction_version

integer

The version of the last transaction.

last_transaction_timestamp

string

The timestamp of the last transaction.

is_frozen

boolean

Whether the asset is frozen.

metadata

object

Metadata object containing additional information about the asset.

metadata.asset_type

string

The asset type within the metadata.

metadata.creator_address

string

The creator address within the metadata.

metadata.decimals

integer

The number of decimal places within the metadata.

metadata.icon_uri

string

The icon URI within the metadata.

metadata.name

string

The asset name within the metadata.

metadata.project_uri

string

The project URI within the metadata.

metadata.symbol

string

The asset symbol within the metadata.

metadata.token_standard

string

The token standard within the metadata.

metadata.maximum_v2

integer

Maximum supply.

metadata.supply_v2

integer

Current supply.

Example​

Request Example​

query MyQuery {
current_fungible_asset_balances(
limit: 10
offset: 0
where: {
owner_address: {
_eq: "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50"
}
}
) {
owner_address
amount
storage_id
last_transaction_version
last_transaction_timestamp
is_frozen
metadata {
asset_type
creator_address
decimals
icon_uri
name
project_uri
symbol
token_standard
maximum_v2
supply_v2
}
}
}

Response Example​

{
"data": {
"current_fungible_asset_balances": [
{
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"amount": 3620886,
"storage_id": "0xa8fbefaae9cecee45ec105ddd23207f836420c7cd244a119b8da855eccdef96d",
"last_transaction_version": 102299947,
"last_transaction_timestamp": "2023-03-15T09:54:27",
"is_frozen": false,
"metadata": {
"asset_type": "0x1000000fa32d122c18a6a31c009ce5e71674f22d06a581bb0a15575e6addadcc::usda::USDA",
"creator_address": "0x1000000fa32d122c18a6a31c009ce5e71674f22d06a581bb0a15575e6addadcc",
"decimals": 6,
"icon_uri": null,
"name": "Argo USD",
"project_uri": null,
"symbol": "USDA",
"token_standard": "v1",
"maximum_v2": null,
"supply_v2": null
}
},
{
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"amount": 284106049,
"storage_id": "0x891d93d0d9f081cfc0a34c96f66b661c7bc12c0ed30e509a139163e9e4d38de2",
"last_transaction_version": 102299750,
"last_transaction_timestamp": "2023-03-15T09:53:53",
"is_frozen": false,
"metadata": {
"asset_type": "0x159df6b7689437016108a019fd5bef736bac692b6d4a1f10c941f6fbb9a74ca6::oft::CakeOFT",
"creator_address": "0x159df6b7689437016108a019fd5bef736bac692b6d4a1f10c941f6fbb9a74ca6",
"decimals": 8,
"icon_uri": null,
"name": "PancakeSwap Token",
"project_uri": null,
"symbol": "Cake",
"token_standard": "v1",
"maximum_v2": null,
"supply_v2": null
}
},
{
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"amount": 29829520,
"storage_id": "0x607571217df151528914b3622272e371dadc8094d3bf8c10e3949783f938f128",
"last_transaction_version": 108478684,
"last_transaction_timestamp": "2023-03-26T21:48:28",
"is_frozen": false,
"metadata": {
"asset_type": "0x1::aptos_coin::AptosCoin",
"creator_address": "0x0000000000000000000000000000000000000000000000000000000000000001",
"decimals": 8,
"icon_uri": null,
"name": "Aptos Coin",
"project_uri": null,
"symbol": "APT",
"token_standard": "v1",
"maximum_v2": null,
"supply_v2": null
}
},
{
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"amount": 0,
"storage_id": "0x9923a86b6cc957b5627640d2cea4e16fecd6149a4b73ba7c56c6e24e34d7fc08",
"last_transaction_version": 102299947,
"last_transaction_timestamp": "2023-03-15T09:54:27",
"is_frozen": false,
"metadata": null
},
{
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"amount": 21507677,
"storage_id": "0xcb9659248135a42c86757d9c8e64ce6d92d1720bf284031e712cb55d78745362",
"last_transaction_version": 101375475,
"last_transaction_timestamp": "2023-03-13T14:50:53",
"is_frozen": false,
"metadata": {
"asset_type": "0x5c738a5dfa343bee927c39ebe85b0ceb95fdb5ee5b323c95559614f5a77c47cf::Aptoge::Aptoge",
"creator_address": "0x5c738a5dfa343bee927c39ebe85b0ceb95fdb5ee5b323c95559614f5a77c47cf",
"decimals": 6,
"icon_uri": null,
"name": "Aptoge",
"project_uri": null,
"symbol": "APTOGE",
"token_standard": "v1",
"maximum_v2": null,
"supply_v2": null
}
}
]
}
}